Subject: Were you Injured After Being Implanted With An iVC - filter????

From: "IVCFilterClaims.com" <[email-masked]>
Date: Mon, 3 Aug 2015 11:40:00 -0400

Were you Injured After Being Implanted With An iVC - filter????